Reconcile bank payments to statement transactions Run in API Explorer
Ask AI
POST
/api/v1/bank-transaction/reconcile
curl \
--request POST 'https://api.plannrcrm.com/api/v1/bank-transaction/reconcile' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--data '{
"provider_statement_uuid": "322441c3-7693-466d-baf9-82bb31337987",
"statement_transactions": [
"dd5967b4-749c-4adc-b230-5e38a392eb1a",
"afbeb01f-dab0-425a-8e5d-082871624b08",
"3e197f4f-95b8-4439-a21a-de30924e3572"
],
"bank_transactions": [
"440c00b8-ddb2-4105-b49a-c98e8189518e",
"224df3e2-37d5-4779-9f39-1e8871cdd30a",
"7813a0a3-7b7b-41fe-92e8-80df397c58f7"
]
}'
Request examples
{
"provider_statement_uuid": "322441c3-7693-466d-baf9-82bb31337987",
"statement_transactions": [
"dd5967b4-749c-4adc-b230-5e38a392eb1a",
"afbeb01f-dab0-425a-8e5d-082871624b08",
"3e197f4f-95b8-4439-a21a-de30924e3572"
],
"bank_transactions": [
"440c00b8-ddb2-4105-b49a-c98e8189518e",
"224df3e2-37d5-4779-9f39-1e8871cdd30a",
"7813a0a3-7b7b-41fe-92e8-80df397c58f7"
]
}
Response examples (401)
{
"message": "Unauthenticated."
}
Response examples (422)
{
"message": "The given data was invalid.",
"errors": {
"field": [
"The field is invalid."
]
}
}